#include "processtest.h"
#include <QDebug>

ProcessTest::ProcessTest()
    : QObject(nullptr)
    , m_loaderProcess(this)
    , m_counter(30)
{
    connect(&m_loaderProcess, &QProcess::finished, this, &ProcessTest::processFinished);

    QStringList arguments;
    arguments << "exit";
    m_loaderProcess.start("cmd", arguments);
    m_loaderProcess.waitForStarted();
    m_loaderProcess.close();
}

void ProcessTest::processFinished(int exitCode, QProcess::ExitStatus exitStatus)
{
    qDebug() << "ProcessTest::processFinished " << m_counter;
    if(m_counter != 0)
    {
        --m_counter;
        QStringList arguments;
        arguments << "exit";
        m_loaderProcess.start("cmd", arguments);
    }
}
